"""booked_by colomn changed to Integer, added new table AnnouncementUser implementing one to many relationships

Revision ID: 945c70aa70e7
Revises: 5a8105ac1a4f
Create Date: 2024-08-12 20:36:08.669574

"""
from typing import Sequence, Union

from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision: str = '945c70aa70e7'
down_revision: Union[str, None] = '5a8105ac1a4f'
branch_labels: Union[str, Sequence[str], None] = None
depends_on: Union[str, Sequence[str], None] = None


def upgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('announcementuser',
    sa.Column('announcement_id', sa.Integer(), nullable=False),
    sa.Column('booking_user_id', sa.Integer(), nullable=False),
    sa.ForeignKeyConstraint(['announcement_id'], ['announcements.id'], ),
    sa.ForeignKeyConstraint(['booking_user_id'], ['users.id'], ),
    sa.PrimaryKeyConstraint('announcement_id', 'booking_user_id')
    )
    op.add_column('announcements', sa.Column('booked_by', sa.Integer(), nullable=True))
    # ### end Alembic commands ###


def downgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_column('announcements', 'booked_by')
    op.drop_table('announcementuser')
    # ### end Alembic commands ###
